<?php
  /**************************************************************************\
  * eGroupWare - Setup                                                       *
  * http://www.egroupware.org                                                *
  * --------------------------------------------                             *
  *  This program is free software; you can redistribute it and/or modify it *
  *  under the terms of the GNU General Public License as published by the   *
  *  Free Software Foundation; either version 2 of the License, or (at your  *
  *  option) any later version.                                              *
  \**************************************************************************/
	function addSpecialColumn($table,$column, $attrs){
		$result = $GLOBALS['phpgw_setup']->db->metadata($table);
		if($result){
			foreach($result as $idx => $col){
				if($col['name'] == $column)
					return;
			}
		}		
		$GLOBALS['phpgw_setup']->db->query("ALTER TABLE ".$table." ADD COLUMN ".$column." ".$attrs);
	}  
	$test[] = '0.9.2';
	function calendar_upgrade0_9_2()
	{
		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.17';
		return $GLOBALS['setup_info']['calendar']['currentver'];
	}
	$test[] = '0.9.17';
	function calendar_upgrade0_9_17()
	{
		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.21';
		return $GLOBALS['setup_info']['calendar']['currentver'];
	}
	$test[] = '0.9.20';
	function calendar_upgrade0_9_20()
	{
		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.21';
		return $GLOBALS['setup_info']['calendar']['currentver'];
	}	
	$test[] = '0.9.21';
	function calendar_upgrade0_9_21()
	{
		addSpecialColumn("phpgw_cal","last_status","char(1) DEFAULT 'N'::bpchar");
		addSpecialColumn("phpgw_cal","last_update","int8 DEFAULT (date_part('epoch'::text, ('now'::text)::timestamp(3) with time zone) * (1000)::double precision)");
		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.22';
		return $GLOBALS['setup_info']['calendar']['currentver'];
	}	
	$test[] = '0.9.22';
	function calendar_upgrade0_9_22()
	{
		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.23';
		return $GLOBALS['setup_info']['calendar']['currentver'];
	}
	$test[] = '0.9.23';
	function calendar_upgrade0_9_23()
	{
		$GLOBALS['setup_info']['calendar']['currentver'] = '0.9.3';
		return $GLOBALS['setup_info']['calendar']['currentver'];
	}	
	$test[] = '0.9.3';
	function calendar_upgrade0_9_3()
	{
		$GLOBALS['setup_info']['calendar']['currentver'] = '2.0.000';
		return $GLOBALS['setup_info']['calendar']['currentver'];
	}
	$test[] = '2.0.000';
	function calendar_upgrade2_0_000()
	{
		$GLOBALS['setup_info']['calendar']['currentver'] = '2.0.001';
		return $GLOBALS['setup_info']['calendar']['currentver'];
	}
?>